Skip to content Kleinanzeigen Public API Gateway Documentation
DELETE
/v1/listings/{uuid}/media
curl --request DELETE \
--url 'https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000/media?urls=65%2F65d55e01-36d4-484b-95b3-7309c19c0fe7' \
--header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...'
uuid
required
string
Example
123e4567-e89b-12d3-a456-426614174000
urls
required
string
Example
65/65d55e01-36d4-484b-95b3-7309c19c0fe7
HttpHeaders.AUTHORIZATION
required

Successfully deleted the media

Media URLs not found

Media type application/json
object
type
string format: uri
title
string | null
status
integer format: int32
detail
string | null
instance
string | null format: uri
properties
object | null
Example
{
"type": "about:blank",
"status": 404,
"title": "Not Found",
"detail": "Could not remove media.",
"instance": "/api/v1/listings/123e4567-e89b-12d3-a456-426614174000/media",
"localizedTitle": "",
"localizedDetail": "",
"localizedMessage": ""
}